# dba_insert

(PHP 4, PHP 5, PHP 7, PHP 8)

dba_insert — Insère une entrée DBA

### Description

dba_insert(string|array `$key`, string `$value`, Dba\Connection `$dba`): bool

dba_insert() insère l'entrée décrite par la clé `key` et la valeur `value` dans la base spécifiée par `handle`.

### Liste de paramètres

`key`

  La clé de l'entrée à insérer. Si cette clé existe déjà dans la base de données, cette fonction échouera. Utilisez la fonction dba_replace() si vous devez remplacer une clé existante.

`value`

  La valeur à insérer.

`dba`

  Une instance de Dba\Connection, renvoyée par dba_open() ou dba_popen().

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Historique

Version | Description
--- | ---
8.4.0 | Le paramètre `dba` attend désormais une instance de Dba\Connection; auparavant, une resource `dba` valide était attendue.

### Voir aussi

- dba_exists() - Vérifie qu'une clé DBA existe
- dba_delete() - Efface une ligne dans une base DBA
- dba_fetch() - Lit les données liées à une clé DBA
- dba_replace() - Remplace ou insère une ligne DBA